diff -ruN -x configure -x *~ -x ircd-hybrid-6rc4.orig -x *.rej ircd-hybrid-6rc4.orig/src/channel.c ircd-hybrid-6rc4/src/channel.c
--- ircd-hybrid-6rc4.orig/src/channel.c	Mon Oct 23 17:25:41 2000
+++ ircd-hybrid-6rc4/src/channel.c	Mon Oct 23 17:17:19 2000
@@ -779,6 +780,10 @@
 
   if (chptr->mode.mode & MODE_NOPRIVMSGS && !lp)
     return (MODE_NOPRIVMSGS);
+
+  if (is_banned(cptr, chptr) == CHFL_BAN &&
+      (!lp || !(lp->flags & (CHFL_CHANOP|CHFL_VOICE))))
+    return (MODE_MODERATED);
 
   return 0;
 }
